Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.blockmodel
Class GraphCollapser.CollapsedSparseVertex

    java.lang.Object
      edu.uci.ics.jung.utils.UserDataDelegate
          edu.uci.ics.jung.graph.impl.AbstractElement
              edu.uci.ics.jung.graph.impl.AbstractArchetypeVertex
                  edu.uci.ics.jung.graph.impl.AbstractSparseVertex
                      edu.uci.ics.jung.graph.impl.SimpleSparseVertex
                          edu.uci.ics.jung.graph.impl.SparseVertex
                              edu.uci.ics.jung.algorithms.blockmodel.GraphCollapser.CollapsedSparseVertex

All Implemented Interfaces:
  ArchetypeVertex, Cloneable, Element, GraphCollapser.CollapsedVertex, UserDataContainer, Vertex

Enclosing class:
  GraphCollapser

public static class GraphCollapser.CollapsedSparseVertex
extends SparseVertex
implements GraphCollapser.CollapsedVertex

A CollapsedSparseVertex extends CollapsedVertex.

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer
`UserDataContainer.CopyAction`

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.impl.SimpleSparseVertex
`mNeighborsToEdges, mPredsToInEdges, mSuccsToOutEdges`

Fields inherited from class edu.uci.ics.jung.graph.impl.AbstractElement
`id, m_Graph`

Fields inherited from class edu.uci.ics.jung.utils.UserDataDelegate
`factory, udc_delegate`

Constructor Summary
`GraphCollapser.CollapsedSparseVertex(Set rootSet)`

Method Summary
`Set` | `getRootSet()`
`String` | `toString()` Returns a human-readable representation of this vertex.

Methods inherited from class edu.uci.ics.jung.graph.impl.SparseVertex
`addNeighbor_internal, findEdge, findEdgeSet, getEdges_internal, getInEdges, getOutEdges, removeNeighbor_internal`

Methods inherited from class edu.uci.ics.jung.graph.impl.SimpleSparseVertex
`getNeighbors_internal, getNeighborsToEdges, getPredecessors, getPredsToInEdges, getSuccessors, getSuccsToOutEdges, inDegree, initialize, isDest, isPredecessorOf, isSource, isSuccessorOf, numPredecessors, numSuccessors, outDegree, setNeighborsToEdges, setPredsToInEdges, setSuccsToOutEdges`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractSparseVertex
`copy, findEdge, findEdgeSet`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractArchetypeVertex
`degree, equals, getEqualVertex, getEquivalentVertex, getIncidentEdges, getIncidentElements, getNeighbors, isIncident, isNeighborOf, numNeighbors`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractElement
`addGraph_internal, getGraph, hashCode, removeGraph_internal`

Methods inherited from class edu.uci.ics.jung.utils.UserDataDelegate
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDataFactory, setUserDatum`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.graph.Vertex
`findEdge, findEdgeSet, getInEdges, getOutEdges, getPredecessors, getSuccessors, inDegree, isDest, isPredecessorOf, isSource, isSuccessorOf, numPredecessors, numSuccessors, outDegree`

Methods inherited from interface edu.uci.ics.jung.graph.ArchetypeVertex
`copy, degree, findEdge, findEdgeSet, getEqualVertex, getEquivalentVertex, getIncidentEdges, getNeighbors, isIncident, isNeighborOf, numNeighbors`

Methods inherited from interface edu.uci.ics.jung.graph.Element
`getGraph, getIncidentElements`

Methods inherited from interface edu.uci.ics.jung.utils.UserDataContainer
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDatum`

Constructor Detail

### GraphCollapser.CollapsedSparseVertex

    public GraphCollapser.CollapsedSparseVertex(Set rootSet)

Parameters:
  `rootSet` -

Method Detail

### toString

    public String toString()

  Description copied from class: `AbstractSparseVertex`
  Returns a human-readable representation of this vertex.

  Overrides:
    `toString` in class `AbstractSparseVertex`
  See Also:
    `Object.toString()`

### getRootSet

    public Set getRootSet()

  Specified by:
    `getRootSet` in interface `GraphCollapser.CollapsedVertex`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD